function formatTime(input) {
    var hours = input.getHours();
    var minutes = input.getMinutes();
    if (minutes < 10) {
        minutes = "0" + minutes;
    }
    if (hours < 10) {
        hours = "0" + hours;
    }
    var utc = input.getTimezoneOffset() / 60;
    console.log(utc);
    var sign = "+";
    if (utc < 0) {
        sign = "";
    }
    return "" + hours + ":" + minutes + " in Paris (UTC" + sign + utc + ")";
}

function updateTime() {
    var elem = document.getElementById("time-display");
    elem.textContent = formatTime(new Date());
}

function convertTimes() {
    const time_elements = document.querySelectorAll("#time-element");
    time_elements.forEach(function (time) {
        var utcTime = time.textContent;
        console.log(utcTime);
        var localTime = new Date(utcTime);
        time.textContent = formatTime(localTime);
    });
}

function insert_hyperlink_options() {
    const links = document.querySelectorAll("a");
    links.forEach(function (link) {
        link.target = "_blank";
        link.rel = "noopener noreferrer";
    });
}

window.onload = function () {
    // update time widget and continue doing so every 20 seconds
    // updateTime()
    // setTimeout(updateTime, 2.0 * 1000 * 20);

    convertTimes();

    // we add the necessary options to all clickable links on the page
    insert_hyperlink_options();

};