const map = L.map('restaurant-map').setView([51.3188, 9.495], 14.4);
L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
    maxZoom: 19,
    attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
}).addTo(map);

var hlIcon = L.icon({
    iconUrl: 'static/favicon_bordered.png',
    iconSize: [40, 40],
});
var hl = L.marker([51.32313, 9.50468], { icon: hlIcon }).addTo(map);
hl.bindPopup("Conference venue");

var deIcon = L.icon({
    iconUrl: 'static/icons/germany.png',
    iconSize: [30, 30],
});
var italyIcon = L.icon({
    iconUrl: 'static/icons/italy.png',
    iconSize: [30, 30],
});
var afIcon = L.icon({
    iconUrl: 'static/icons/eritrea.png',
    iconSize: [30, 30],
});
var vietIcon = L.icon({
    iconUrl: 'static/icons/vietnam.png',
    iconSize: [30, 30],
});
var austriaIcon = L.icon({
    iconUrl: 'static/icons/austria.png',
    iconSize: [30, 30],
});
var trIcon = L.icon({
    iconUrl: 'static/icons/turkey.png',
    iconSize: [30, 30],
});
var esIcon = L.icon({
    iconUrl: 'static/icons/spain.png',
    iconSize: [30, 30],
});
var otherIcon = L.Marker.prototype.options.icon;

var restaurants = [
    [51.3239, 9.50387, "Café Nordpol (German cuisine)", deIcon],
    [51.32511, 9.50936, "Schindelhaus Kassel (German cuisine)", deIcon],
    [51.31524, 9.50002, "Mama Afrika - Restaurant Kassel (East African cuisine)", afIcon],
    [51.31366, 9.4912, "PHỐ VẮNG (Vietnamese cuisine)", vietIcon],
    [51.31668, 9.50183, "Sazburger Stuben (Bavarian-Austrian cuisine)", austriaIcon],
    [51.3154, 9.49913, "Ristorante Il Convento (Italian cuisine)", italyIcon],
    [51.31255, 9.49102, "Anadolu Restaurant (Turkish cuisine)", trIcon],
    [51.31597, 9.47477, "El Erni (Spanish cuisine)", esIcon],
    [51.31381, 9.48708, "Osteria (Italian cuisine)", italyIcon],
    [51.31309, 9.48807, "Lohmann (German cuisine)", deIcon],
    [51.31296, 9.48161, "HermannS Kassel (Burgers/Bar)", L.Icon.Default],
    [51.31031, 9.46721, "Ha Noi Pho (Vietnamese cuisine)", vietIcon],
    [51.31191, 9.46599, "Suppenplantage Kassel (Soups)", L.Icon.Default]
]

for (var i in restaurants) {
    var r = restaurants[i];
    console.log(r);
    L.marker([r[0], r[1]], { icon: r[3] }).bindPopup(r[2]).addTo(map);
}
